{% load static wagtailimages_tags %}

<div class="badge badge--condensed">
  <a href="{{ person_page.url }}" class="avatar badge__avatar avatar--sm">
    {% if person_page.profile_photo %}
      {% image person_page.profile_photo fill-80x80 as profile_img %}
      {% image person_page.profile_photo fill-160x160 as profile_img_2x %}
      <img src="{{ profile_img.url }}" srcset="{{ profile_img.url }}, {{ profile_img_2x.url }} 2x" alt="{{ person_page.title }}"/>
    {% else %}
      <img src="{% static "shared/img/unknown_pirate_160x160.jpg" %}" alt="{{ person_page.title }}"/>
    {% endif%}
  </a>

  <div class="badge__body">
    <span class="head-heavy-2xs badge__title">
      <a href="{{ person_page.url }}" title="{{ person_page.title }}" class="content-block--nostyle">
        {{ person_page.title }}
      </a>
    </span>
    <span class="badge__occupation">
      {% if title %}
        {{ title }}
      {% else %}
        {{ person_page.job_function|default_if_none:"" }}
      {% endif %}
    </span>
    {% if not skipcontacts %}
      {% if person_page.phone %}
        <a href="tel:{{ person_page.phone }}" class="contact-line icon-link content-block--nostyle contact-line--responsive badge__link">
          <i class="ico--phone"></i>
          <span>{{ person_page.phone }}</span>
        </a>
      {% endif %}

      {% if person_page.email and person_page.show_email %}
        <a href="mailto:{{ person_page.email }}" class="contact-line icon-link content-block--nostyle contact-line--responsive badge__link">
          <i class="ico--envelope"></i><span>{{ person_page.email }}</span>
        </a>
      {% endif %}
    {% endif %}
  </div>
</div>
